Bug 193534 - [MAINTAINER] net-p2p/namecoin: Update to 0.3.80
Summary: [MAINTAINER] net-p2p/namecoin: Update to 0.3.80
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-09-10 18:27 UTC by Chad Jacob Milios
Modified: 2015-06-11 05:44 UTC (History)
5 users (show)

See Also:
koobs: maintainer-feedback? (milios)


Attachments
unified recursive diff of net-p2p/namecoin (1.52 KB, text/plain)
2014-09-10 18:27 UTC, Chad Jacob Milios
koobs: maintainer-approval+
Details
complete port directories; namecoin[-daemon]-0.3.80,1 (2.77 KB, application/x-xz)
2015-06-02 04:06 UTC, Chad Jacob Milios
milios: maintainer-approval+
Details
svn diff to 0.3.80,1 (5.42 KB, patch)
2015-06-06 17:09 UTC, Chad Jacob Milios
milios: maintainer-approval+
Details | Diff
slave port to allow both namecoind and namecoin-qt on same system (801 bytes, application/x-shar)
2015-06-06 17:11 UTC, Chad Jacob Milios
milios: maintainer-approval+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Chad Jacob Milios 2014-09-10 18:27:43 UTC
Created attachment 147182 [details]
unified recursive diff of net-p2p/namecoin

update namecoin from Q.3.72 to 0.3.75
Comment 1 Jason E. Hale freebsd_committer 2014-09-14 00:04:22 UTC
Could you please provide build logs for this?  I was getting different types of build failures with gcc and clang.

Finally got it to build with clang by removing lines 345-355 from src/serialize.h, but gcc is failing to link to boost:

util.cpp:(.text._ZN5boost15program_options6detail26basic_config_file_iteratorIcEC2ERSiRKSt3setISsSt4lessISsESaISsEEb[_ZN5boost15program_options6detail26basic_config_file_iteratorIcEC5ERSiRKSt3setISsSt4lessISsESaISsEEb]+0x3a): undefined reference to `boost::program_options::detail::common_config_file_iterator::common_config_file_iterator(std::set<std::string, std::less<std::string>, std::allocator<std::string> > const&, bool)'
collect2: error: ld returned 1 exit status
Comment 2 Jason E. Hale freebsd_committer 2014-10-27 22:57:15 UTC
Return to pool.
Comment 3 tofutim 2015-04-06 18:49:40 UTC
Hi, I had a question, does this port of namecoin include a daemon that can be used for servers like namecoind?
Comment 4 tofutim 2015-04-06 19:00:08 UTC
Scratch that, looks like it appears with `make install` from ports, but not `pkg install namecoin`. I did notice this is namecoin 3.72 in my port, rather than 3.75 or 3.8.
Comment 5 Chad Jacob Milios 2015-06-02 04:06:02 UTC
Created attachment 157363 [details]
complete port directories; namecoin[-daemon]-0.3.80,1

a namecoin
a namecoin/pkg-descr
a namecoin/distinfo
a namecoin/Makefile
a namecoin/files
a namecoin/files/patch-src__qt__configurenamedialog.h
a namecoin/files/patch-src__main.h
a namecoin/files/makefile.unix
a namecoin/files/patch-src__qt__managenamespage.h
a namecoin-daemon
a namecoin-daemon/Makefile
Comment 6 Bartek Rutkowski freebsd_committer 2015-06-05 09:53:51 UTC
Could you please provide a proper patch generated using diff or svn diff so it could be reviewed, tested and committed if everything is OK with it? 

Proposing port changes in any other way than described in Porters Handbook (https://www.freebsd.org/doc/en/books/porters-handbook/book.html) greatly extends the time that you'll have to wait from them to be reviewed and greatly reduces the chance that someone will actually look at them.
Comment 7 Kurt Jaeger freebsd_committer 2015-06-05 21:05:36 UTC
As discussed in 
https://lists.freebsd.org/pipermail/freebsd-ports/2015-June/099412.html
and the following mails:

db48 is already scheduled for deletion, and we need better solution, probably
with db5 or db6.
Comment 8 Chad Jacob Milios 2015-06-06 17:09:41 UTC
Created attachment 157472 [details]
svn diff to 0.3.80,1

M       net-p2p/namecoin/Makefile
M       net-p2p/namecoin/distinfo
M       net-p2p/namecoin/files/patch-src__main.h
D       net-p2p/namecoin/files/patch-src__net.cpp
M       net-p2p/namecoin/files/patch-src__qt__configurenamedialog.h
M       net-p2p/namecoin/files/patch-src__qt__managenamespage.h
D       net-p2p/namecoin/files/patch-src__serialize.h
Comment 9 Chad Jacob Milios 2015-06-06 17:11:43 UTC
Created attachment 157473 [details]
slave port to allow both namecoind and namecoin-qt on same system

A       net-p2p/namecoin-daemon
A       net-p2p/namecoin-daemon/Makefile
Comment 10 Kurt Jaeger freebsd_committer 2015-06-07 09:30:13 UTC
Asked about db48 EXPIRE change from 
2015-05-31 to 2015-07-31 from db48 maintainer.
Comment 11 Kurt Jaeger freebsd_committer 2015-06-10 19:49:48 UTC
db48 shelflife was extended for a few more weeks. Let's hope for the best.

I'll re-test and commit soon.
Comment 12 Kurt Jaeger freebsd_committer 2015-06-11 05:41:30 UTC
mat explained why db48 is difficult to get rid off in

https://lists.freebsd.org/pipermail/svn-ports-all/2015-June/096244.html
Comment 13 commit-hook freebsd_committer 2015-06-11 05:43:46 UTC
A commit references this bug:

Author: pi
Date: Thu Jun 11 05:43:01 UTC 2015
New revision: 389159
URL: https://svnweb.freebsd.org/changeset/ports/389159

Log:
  net-p2p/namecoin: 0.3.72 -> 0.3.80, adding slaveport -daemon

  Changes:
  https://github.com/namecoin/namecoin/blob/namecoinq-release/changelog.md

  PR:		193534
  Submitted by:	Chad J. Milios <milios@ccsys.com>

Changes:
  head/net-p2p/Makefile
  head/net-p2p/namecoin/Makefile
  head/net-p2p/namecoin/distinfo
  head/net-p2p/namecoin/files/patch-src__main.h
  head/net-p2p/namecoin/files/patch-src__net.cpp
  head/net-p2p/namecoin/files/patch-src__qt__configurenamedialog.h
  head/net-p2p/namecoin/files/patch-src__qt__managenamespage.h
  head/net-p2p/namecoin/files/patch-src__serialize.h
  head/net-p2p/namecoin-daemon/
  head/net-p2p/namecoin-daemon/Makefile
Comment 14 Kurt Jaeger freebsd_committer 2015-06-11 05:44:07 UTC
Committed, thanks for your patience.